BLENDEQUATIONSEPARATE(3CgFX)

NAME
BlendEquationSeparate - 3D API blend equation separate

USAGE
BlendEquationSeparate = int2(modeRGB, modeAlpha)

VALID ENUMERANTS
modeRGB, modeAlpha: FuncAdd, FuncSubtract, FuncReverseSubtract, Add, Subtract, ReverseSubtract, Min, Max, LogicOp

DESCRIPTION
Specify the RGB and alpha blend equation separately. See the OpenGL glBlendEquationSeparate manual page for details. See the D3DRS_BLENDOP render state description for DirectX 9.

The standard reset callback sets the BlendEquationSeparate state to int2(FuncAdd, FuncAdd).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AlphaBlendEnable, BlendEnable, BlendColor, BlendEquation, BlendFunc, BlendFuncSeparate, BlendOp, DestBlend, IndexedVertexBlendEnable, SrcBlend, VertexBlend, BlendOpAlpha, SrcBlendAlpha, DestBlendAlpha, SeparateAlphaBlendEnable